View Issue Details

IDProjectCategoryView StatusLast Update
0001407NoesisGUIUnity3Dpublic2019-02-24 01:38
ReporternokolaAssigned Tojsantos 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.0b6 
Target Version2.2.0Fixed in Version2.2.0b7 
Summary0001407: Noesis crashes (out of memory) loading NewPaintingDialog.xaml (used to work)
DescriptionWhat the title says.
Steps To ReproduceLoad the attached XAML (app.xaml resources are in FanStyle.xaml)
Expected: all OK
Actual: Noesis uses 10GB RAM and dies
TagsNo tags attached.
PlatformAny

Activities

nokola

nokola

2019-02-22 06:22

reporter  

NewPaintingDialog.xaml (6,203 bytes)
FanStyle.xaml (144,172 bytes)
nokola

nokola

2019-02-22 06:24

reporter   ~0005449

Code behind:
            NoesisExtensions.LoadComponent(this, Globals.BaseUnityXamlPath + "/NewPaintingDialog.xaml");

            rectBack = (Rectangle) FindName("rectBack");
            imgConeBack = (Image) FindName("imgConeBack");
            mainPane = (StackPanel) FindName("mainPane");
            btnFillBlack = (RadioButton) FindName("btnFillBlack");
            btnFillWhite = (RadioButton) FindName("btnFillWhite");
            btnFillPastelRainbow = (RadioButton) FindName("btnFillPastelRainbow");
            btnFillRainbow = (RadioButton) FindName("btnFillRainbow");
            btnColor1 = (RadioButton) FindName("btnColor1");
            rectColor1 = (Rectangle) FindName("rectColor1");
            btnHoriz = (RadioButton) FindName("btnHoriz");
            rectHoriz = (Rectangle) FindName("rectHoriz");
            btnVert = (RadioButton) FindName("btnVert");
            rectVert = (Rectangle) FindName("rectVert");
            btnOk = (Button) FindName("btnOk");
            btnCancelNewPainting = (Button) FindName("btnCancelNewPainting");
            gradient1 = (SmallColorPicker) FindName("gradient1");
            gradient2 = (SmallColorPicker) FindName("gradient2");
sfernandez

sfernandez

2019-02-22 10:36

manager   ~0005450

I was able to reproduce the memory overflow with the following xaml:
<Grid
  xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
  xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">

    <TextBlock Margin="17,0" TextWrapping="Wrap" Height="27" FontSize="12" ><Run Text="Background"/><LineBreak/><Run/></TextBlock>

</Grid>

It is a problem when processing the text runs, could you @jsantos take a look?
jsantos

jsantos

2019-02-22 18:55

manager   ~0005451

Could you please try with the following patch? (you need to put Noesis.dll inside Assets\NoesisGUI\Plugins\Libraries\Windows\x86_64)

https://drive.google.com/open?id=12-lfBOFazE1mqPGzEbvIKjqqm2Ljv5BF

I have also provided a 'Debug' library if you want to try it. That library is going to be slower and if internal asserts are reached it will crash Unity, but I think it would be good to try it to find rare things.

Thanks a lot for your help!
nokola

nokola

2019-02-23 05:16

reporter   ~0005452

No crash! Seeing other issues - cannot find images - but will open separate bug

Issue History

Date Modified Username Field Change
2019-02-22 06:22 nokola New Issue
2019-02-22 06:22 nokola File Added: NewPaintingDialog.xaml
2019-02-22 06:22 nokola File Added: FanStyle.xaml
2019-02-22 06:24 nokola Note Added: 0005449
2019-02-22 10:35 sfernandez Assigned To => jsantos
2019-02-22 10:35 sfernandez Status new => assigned
2019-02-22 10:36 sfernandez Note Added: 0005450
2019-02-22 18:55 jsantos Note Added: 0005451
2019-02-22 18:55 jsantos Target Version => 2.2.0
2019-02-22 18:55 jsantos Steps to Reproduce Updated View Revisions
2019-02-22 18:55 jsantos Status assigned => feedback
2019-02-23 05:16 nokola Note Added: 0005452
2019-02-23 05:16 nokola Status feedback => assigned
2019-02-23 12:01 admin Status assigned => resolved
2019-02-23 12:01 admin Resolution open => fixed
2019-02-23 12:01 admin Fixed in Version => 2.2.0b7
2019-02-24 01:38 nokola Status resolved => closed